* {
    box-sizing: border-box;
}


html {
    scroll-behavior: smooth;
}

:root {
    --background: #1C1C20;
    --background-secondary: #0B0B0D;
    --text-primary: #E8E4DC;
    --text-secondary: #A8A8AE;
    --accent: #60A5FA;
}

body {
    margin: 0;
    font-family: "PT Serif", sans-serif;

    background-color: var(--background);
    color: var(--text-primary);
}

/*==================LAYOUT===========================*/

body {
    display: flex;
}

/*========= SIDEBAR ============*/
.sidebar {
    width: 40%;
    height: 100vh;

    position: sticky;
    top: 0;

    padding: 80px;

    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

/*========== SIDEBAR CONTENT========*/
.intro h1 {
    margin: 0;
    font-size: 2.5rem;
    font-weight: 600;
    letter-spacing: -0.03em;
}

.intro h2 {
    margin: 10px 0;
    font-size: 1.2rem;
    font-weight: 500;
}

.intro p {
    margin: 0;
    font-size: 1rem;
}

.intro h2,
.intro p {
    color: var(--text-secondary);
}

/*=========== NAVIGATION ================*/
.navigation {
    margin-top: 5%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.navigation a {
    text-decoration: none;
    color: var(--text-primary);
}

.navigation a.active {
    color: var(--accent);
    font-weight: 500;
}

/*=========== SOCIAL LINKS ==============*/
.social-links {
    display: flex;
    gap: 20px;
}

.social-links a {
    text-decoration: none;
    color: var(--text-primary);
}


.contact-info {
    margin: 0;
    font-size: 1em;
    font-weight: 500;
    color: var(--text-secondary);
}

/*=================== MAIN CONTENT ===================*/
main {
    width: 60%;
    padding: 30px 5%;
    background-color: var(--background-secondary);
}

section {
    min-height: 100vh;
    padding: 0;
    
    display: flex;
    flex-direction: column;
    justify-content: center;
}

section h2 {
    margin-top: 0;
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: -0.02em;
    
    position: sticky;
    top: 0;

    background-color: var(--background-secondary);
    padding: 20px 0;
    z-index: 10;
}

section p {
    max-width: 650px;
    line-height: 1.2;
    font-size: 1rem;
    font-weight: 400;
}


/*============ EDUCATION ENTRY ============*/
.education-entry {
    max-width: 650px;
    margin-top: 50px;
}

.education-date {
    margin: 0 0 10px;
    color: var(--accent);
    font-size: 0.9rem;
}

.education-entry h3 {
    margin: 0;
    font-size: 1.3rem;
    font-weight: 600;
}

.education-entry h4 {
    margin: 8px 0 20px;
    color: var(--text-secondary);
    font-size: 1rem;
    font-weight: 500;
}
.education-entry p {
    margin: 8px 0;
}

.education-entry + .education-entry {
    border-top: 1px solid var(--accent);
    padding-top: 40px;
}

/*============WORK ENTRY==============*/
.work-entry {
    max-width: 650px;
    margin-top: 50px;
}

.work-date {
    margin: 0 0 10px;
    color: var(--accent);
    font-size: 0.9rem;
}

.work-entry h3 {
    margin: 0;
    font-size: 1.3rem;
    font-weight: 600;
}

.work-entry h4 {
    margin: 8px 0 20px;
    color: var(--text-secondary);
    font-size: 1rem;
    font-weight: 500;
}

.work-entry p {
    margin: 8px 0;
}

.work-entry + .work-entry {
    border-top: 1px solid var(--accent);
    padding-top: 40px;
}


footer {
    color: var(--text-secondary);
}

/*========== RESEARCH ENTRY =========*/
.research-entry {
    max-width: 650px;
    margin-top: 50px;
}

.research-entry h3 {
    margin: 0;
    font-size: 1.3rem;
    font-weight: 600;
}

.research-entry h4 {
    margin: 8px 0 20px;
    color: var(--text-secondary);
    font-size: 1rem;
    font-weight: 500;
}

.research-entry h5 {
    margin: 8px 0 10px;
    color: var(--text-secondary);
    font-size: 0.7rem;
    font-weight: 400;
}

.research-entry a {
    text-decoration: none;
    color: var(--text-secondary);
    font-size: 0.8em;
}

.research-entry a.active {
    color: var(--accent);
    font-size: 0.8em;
    font-weight: 700;
}

.research-entry + .research-entry {
    border-top: 1px solid var(--accent);
    padding-top: 40px;
}

summary {
    transition: color 0.2s ease-in-out;
}

summary:hover {
    cursor: pointer;
    color: var(--text-secondary);
}

footer {
    font-size: 0.7rem;
}

/*=========== SCROLLBAR =========*/
::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: var(--background-secondary);
}

::-webkit-scrollbar-thumb {
    background: var(--accent);
    border-radius: 8px;
}

::-webkit-scrollbar-thumb:hover {
    background: #adcee7f2;
}

/* ================ RESPONSIVE DESIGN ================ */
@media (max-width: 900px) {
    body{
        flex-direction: column;
    }

    .sidebar {
        display: contents;
    }

    .intro {
        padding: 40px 5% 10px;
        text-align: center;
        background-color: var(--background);
    }

    .social-links {
        justify-content: center;
        padding: 20px 5% 10px;
        background-color: var(--background);
    }

    .navigation {
        position: sticky;
        top: 0;
        z-index: 20;
        background-color: var(--background);

        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        gap: 15px;

        margin: 0;
        padding: 15px 5%;
    }

    .contact-info {
        text-align: center;
        padding: 20px 5% 10px;
        background-color: var(--background);
    }

    main {
        width: 100%;
        padding: 30px 5%;
    }

    section {
        min-height: auto;
        padding: 40px 0;
    }

    section h2 {
        top: var(--nav-height);
    }
}

@media (hover: hover) {
    .navigation a:hover {
        cursor: pointer;
        color: var(--text-secondary);
        transition: color 0.2s ease-in-out;
    }

    summary:hover {
        cursor: pointer;
        color: var(--accent);
    }

    .research-entry a:hover {
        cursor: pointer;
        color: var(--accent);
    }
}